import { Ref } from 'vue';
import { BoundsType, KeyEvent, LocationOptions, Suggestion } from './types';
declare const useSuggestions: (props: {
    modelValue: string;
    suggestion: Suggestion | undefined;
    token: string;
    url?: string;
    disabled?: boolean;
    debounceWait?: number | string;
    toBound?: BoundsType;
    fromBound?: BoundsType;
    locationOptions?: LocationOptions;
    autocomplete: boolean;
}, emit: (event: 'update:modelValue' | 'update:suggestion' | 'handleError', ...args: any[]) => void) => {
    queryProxy: import("vue").WritableComputedRef<string>;
    suggestionProxy: import("vue").WritableComputedRef<Suggestion | undefined>;
    inputFocused: Ref<boolean>;
    suggestionsVisible: Ref<boolean>;
    suggestionIndex: Ref<number>;
    suggestionList: Ref<Suggestion[]>;
    onInputChange: () => void;
    onKeyPress: (keyboardEvent: KeyboardEvent, keyEvent: KeyEvent) => void;
    onInputFocus: () => void;
    onInputBlur: () => void;
    onSuggestionClick: (index: number) => void;
};
export default useSuggestions;
